Package: groovy.util

## [Groovy] Class JavadocAssertionTestBuilder

- groovy.util.JavadocAssertionTestBuilder

- `JavadocAssertionTestBuilder` will dynamically create a test cases from Groovy assertions placed within the Javadoc comments of a source file. Assertions should be placed within an html tag with a `class="groovyTestCase"` attribute assignment. Example:

      <pre class="groovyTestCase"> assert "example".size() == 7 </pre>

  Authors:
    Merlyn Albery-Speyer

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `buildTest(String filename, String code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### Class buildTest(String filename, String code)